# ETableConfigField

## Name

ETableConfigField --

## Synopsis

    #define     E_TABLE_CONFIG_FIELD_TYPE
    typedef     ETableConfigField;
    ETableConfigField* e_table_config_field_new (ETableSpecification *spec,
                                                 ETableSortInfo *sort_info,
                                                 gboolean grouping);
    ETableConfigField* e_table_config_field_construct
                                                (ETableConfigField *field,
                                                 ETableSpecification *spec,
                                                 ETableSortInfo *sort_info,
                                                 gboolean grouping);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBox
                         +----GtkVBox
                               +----ETableConfigField

## Description

## Details

### E_TABLE_CONFIG_FIELD_TYPE

    #define E_TABLE_CONFIG_FIELD_TYPE        (e_table_config_field_get_type ())

### ETableConfigField

    typedef struct {
    	GtkVBox base;

    	ETableSpecification *spec;
    	ETableSortInfo *sort_info;
    	guint grouping : 1;
    	int n;

    	GtkWidget *combo;
    	GtkWidget *radio_ascending;
    	GtkWidget *radio_descending;

    	GtkWidget *child_fields;
    } ETableConfigField;

### e_table_config_field_new ()

    ETableConfigField* e_table_config_field_new (ETableSpecification *spec,
                                                 ETableSortInfo *sort_info,
                                                 gboolean grouping);

`spec` : |
`sort_info` : |
`grouping` : |
Returns : |

### e_table_config_field_construct ()

    ETableConfigField* e_table_config_field_construct
                                                (ETableConfigField *field,
                                                 ETableSpecification *spec,
                                                 ETableSortInfo *sort_info,
                                                 gboolean grouping);

`field` : |
`spec` : |
`sort_info` : |
`grouping` : |
Returns : |